# $Revision: 1.38 $, $Date: 2012/05/23 10:56:00 $
Summary:	SELinux policy compiler
Summary(pl.UTF-8):	Kompilator polityki SELinux
Name:		checkpolicy
Version:	2.1.8
Release:	1
License:	GPL v2
Group:		Development
Source0:	http://userspace.selinuxproject.org/releases/20120216/%{name}-%{version}.tar.gz
# Source0-md5:	e7b5d62873d4efc8a502b75f042f6735
URL:		http://userspace.selinuxproject.org/trac
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libselinux-devel >= 2.1.9
# it uses libsepol symbols not exported in shared library
BuildRequires:	libsepol-static >= 2.1.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Security-enhanced Linux is a patch of the Linux kernel and a number of
utilities with enhanced security functionality designed to add
mandatory access controls to Linux. The Security-enhanced Linux kernel
contains new architectural components originally developed to improve
the security of the Flask operating system. These architectural
components provide general support for the enforcement of many kinds
of mandatory access control policies, including those based on the
concepts of Type Enforcement, Role-based Access Control, and
Multi-level Security.

This package contains checkpolicy, the SELinux policy compiler. Only
required for building policies.

%description -l pl.UTF-8
Security-enhanced Linux jest prototypem jądra Linuksa i wielu
aplikacji użytkowych o funkcjach podwyższonego bezpieczeństwa.
Zaprojektowany jest tak, aby w prosty sposób ukazać znaczenie
obowiązkowej kontroli dostępu dla społeczności linuksowej. Ukazuje
również jak taką kontrolę można dodać do istniejącego systemu typu
Linux. Jądro SELinux zawiera nowe składniki architektury pierwotnie
opracowane w celu ulepszenia bezpieczeństwa systemu operacyjnego
Flask. Te elementy zapewniają ogólne wsparcie we wdrażaniu wielu typów
polityk obowiązkowej kontroli dostępu, włączając te wzorowane na: Type
Enforcement (TE), kontroli dostępu opartej na rolach (RBAC) i
zabezpieczeniach wielopoziomowych.

Ten pakiet zawiera checkpolicy - kompilator polityki SELinux. Jest
wymagany do zbudowania polityki.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} %{rpmcppflags} -pipe" \
	YACC="bison -y" \
	LIBDIR=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_bindir}/checkmodule
%attr(755,root,root) %{_bindir}/checkpolicy
%{_mandir}/man8/checkmodule.8*
%{_mandir}/man8/checkpolicy.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: checkpolicy.spec,v $
Revision 1.38  2012/05/23 10:56:00  baggins
- 2.1.8

Revision 1.37  2011/09/10 20:33:24  arekm
- up to 2.1.0

Revision 1.36  2011/01/29 00:06:13  sparky
- dropped pre-cvs changelog

Revision 1.35  2010/01/20 09:35:36  amateja
- updated to 2.0.21

Revision 1.34  2009/05/11 10:04:51  amateja
- updated to 2.0.19
- fixed url in Source0
- added URL
- current version requires more recent version of libsepol-static, updated BR
- adapterized

Revision 1.33  2008/09/10 20:53:55  qboosh
- updated to 2.0.16

Revision 1.32  2008/04/02 19:50:44  zbyniu
- up to 2.0.12

Revision 1.31  2007-09-27 13:03:19  zbyniu
- up to 2.0.4

Revision 1.30  2007/04/06 11:17:04  qboosh
- updated to 2.0.1

Revision 1.29  2007/02/12 21:23:50  glen
- tabs in preamble

Revision 1.28  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.27  2007/01/27 23:59:05  zbyniu
- up to 1.34.0

Revision 1.26  2006/10/31 23:01:13  qboosh
- updated to 1.32

Revision 1.25  2006/03/19 12:19:58  qboosh
- updated to 1.30

Revision 1.24  2005/12/21 23:23:10  qboosh
- updated to 1.28

Revision 1.23  2005/09/22 15:59:39  arekm
- up to 1.26

Revision 1.22  2005/07/01 21:59:53  qboosh
- updated to 1.24

Revision 1.21  2005/03/11 23:39:48  qboosh
- updated to 1.22

Revision 1.20  2005/01/08 17:01:18  qboosh
- updated to 1.20

Revision 1.19  2004/11/14 01:26:09  havner
- fix, rel 2

Revision 1.18  2004/11/14 01:21:23  havner
- amd64 fix

Revision 1.17  2004/11/04 19:50:49  qboosh
- updated to 1.18

Revision 1.16  2004/10/29 14:34:57  paladine
- pl fixes

Revision 1.15  2004/08/28 23:02:54  qboosh
- updated to 1.16

Revision 1.14  2004/07/02 23:07:35  qboosh
- updated to 1.14

Revision 1.13  2004/04/13 05:02:02  agaran
- updated to 1.10

Revision 1.12  2004/03/14 18:41:16  ankry
- pl fixes

Revision 1.11  2004/03/13 22:53:45  qboosh
- updated to 1.8

Revision 1.10  2004/02/24 14:36:42  qboosh
- updated to 1.6, removed obsolete patches, updated License (GPLv2 now)

Revision 1.9  2004/02/04 23:13:25  arekm
- include latest patches from fedora (features discussed on selinux ml)

Revision 1.8  2003/12/10 21:38:23  qboosh
- updated to 1.4

Revision 1.7  2003/10/19 22:38:53  arekm
- updated to 1.2

Revision 1.6  2003/08/06 16:45:53  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.5  2003/07/03 18:55:43  qboosh
- uhm, where this additional -O2 came from??? removed.

Revision 1.4  2003/07/03 08:24:14  qboosh
- use proper CC and optflags
- changed byacc to bison (preferred), added BR: flex

Revision 1.3  2003/06/28 14:55:08  qboosh
- pl summary, cleanups

Revision 1.2  2003/06/19 09:00:14  michuz
- adapterized (stolen ftom RH)
- added polish description
